Public Member Functions | Public Attributes | List of all members
libzmf::Color Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Color ()
| Color (uint8_t r, uint8_t g, uint8_t b)
librevenge::RVNGString | toString () const

## Public Attributes
uint8_t | red
uint8_t | green
uint8_t | blue

## Constructor & Destructor Documentation

## ◆ Color() [1/2]

libzmf::Color::Color | ( |  | ) |
| inline

## ◆ Color() [2/2]

libzmf::Color::Color | ( | uint8_t | r,
|  | uint8_t | g,
|  | uint8_t | b
| ) |  |
| inline

## Member Function Documentation

## ◆ toString()

librevenge::RVNGString libzmf::Color::toString | ( |  | ) | const

Referenced by libzmf::ZMFCollector::startPage(), libzmf::ZMFCollector::writePen(), and libzmf::ZMFCollector::writeShadow().

## Member Data Documentation

## ◆ blue

uint8_t libzmf::Color::blue

Referenced by libzmf::ZMF4Parser::readColor(), libzmf::BMIParser::readColorBitmap(), and toString().

## ◆ green

uint8_t libzmf::Color::green

Referenced by libzmf::ZMF4Parser::readColor(), libzmf::BMIParser::readColorBitmap(), and toString().

## ◆ red

uint8_t libzmf::Color::red

Referenced by libzmf::Transparency::opacity(), libzmf::ZMF4Parser::readColor(), libzmf::BMIParser::readColorBitmap(), and toString().

The documentation for this struct was generated from the following files:

- ZMFTypes.h
- ZMFTypes.cpp